Eclipse GEF 3.3

## org.eclipse.gef.ui.palette.customize
Interface EntryPage

All Known Implementing Classes:
  DefaultEntryPage

public interface EntryPage

An `EntryPage` displays properties of a `PaletteEntry`. Listeners can be added to a page

Method Summary
`void` `apply()` This method is called when changes made to properties need to be reflected in the model.
`void` `createControl(Composite parent, PaletteEntry entry)` Creates the Control that displays the properties of the given entry.
`Control` `getControl()` Returns the Panel (Control) that displays the properties of the entry.
`void` `setPageContainer(EntryPageContainer pageContainer)` Sets the page container for this page.

Method Detail

### setPageContainer

    public void setPageContainer(EntryPageContainer pageContainer)

  Sets the page container for this page. This page will report its errors to the given page container.

  Parameters:
    `pageContainer` - The `EntryPageContainer` to which this page can report errors

### apply

    public void apply()

  This method is called when changes made to properties need to be reflected in the model.

### createControl

    public void createControl(Composite parent,
                              PaletteEntry entry)

  Creates the Control that displays the properties of the given entry. This method will only be called once. The parent Composite's Font is set to the Workbench Dialog Font. The page's Controls should use the Workbench Dialog Font where appropriate.

  Parameters:
    `parent` - The Composite in which the Control has to be created
    `entry` - The entry whose properties have to be displayed

### getControl

    public Control getControl()

  Returns the Panel (Control) that displays the properties of the entry. This is the same Control that was created in `createControl(Composite,PaletteEntry)`.

  Returns:
    the Control that displays the properties of the entry
  See Also:
    `createControl(Composite, PaletteEntry)`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.